package com.engine.kq.cmd.upgrade;

import java.text.MessageFormat;
import weaver.systeminfo.SystemEnv;

public class UpgradeUtil {

  /**
   * 按照要求格式化文字
   * @param kqUpgradeTabEnum
   * @param lanid
   * @param counts
   * @return
   */
  public static String formatMsg(KQUpgradeTabEnum kqUpgradeTabEnum,int lanid, Object ... counts){
    String msg = "";
    try{
      msg = MessageFormat.format(SystemEnv.getHtmlLabelName(kqUpgradeTabEnum.getCountDescLabel(),lanid),counts);
    }catch (Exception e){
      e.printStackTrace();
    }
    return msg;
  }
}
